Skip to main content
POST
/
{alias}
/
logistics
/
carriers
Criar transportadora
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/logistics/carriers \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "active": true,
  "name": "<string>",
  "only_backup_use": true,
  "origin_zipcode": "<string>",
  "increment_percent": 123,
  "max_weight": 123,
  "active_cubic_weight": true,
  "cubic_weight_factor": 123,
  "min_cubic_weight": 123,
  "weight_param": "<string>",
  "weight_condition": "<string>"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/logistics/carriers"

payload = {
"active": True,
"name": "<string>",
"only_backup_use": True,
"origin_zipcode": "<string>",
"increment_percent": 123,
"max_weight": 123,
"active_cubic_weight": True,
"cubic_weight_factor": 123,
"min_cubic_weight": 123,
"weight_param": "<string>",
"weight_condition": "<string>"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
active: true,
name: '<string>',
only_backup_use: true,
origin_zipcode: '<string>',
increment_percent: 123,
max_weight: 123,
active_cubic_weight: true,
cubic_weight_factor: 123,
min_cubic_weight: 123,
weight_param: '<string>',
weight_condition: '<string>'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/logistics/carriers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "type": "<string>",
  "fixed_price": 123,
  "fixed_shipping_time": 123,
  "active": true,
  "name": "<string>",
  "only_backup_use": true,
  "origin_zipcode": "<string>",
  "increment_percent": 123,
  "max_weight": 123,
  "active_cubic_weight": true,
  "cubic_weight_factor": 123,
  "min_cubic_weight": 123,
  "weight_param": "<string>",
  "weight_condition": "<string>",
  "has_prices": 123,
  "total_prices": 123,
  "created_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "updated_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Representa os dados necessários para criar ou atualizar uma transportadora

active
boolean
required
name
string
required
only_backup_use
boolean
required
origin_zipcode
string
required
increment_percent
number<float>
required
max_weight
number<float>
required
active_cubic_weight
boolean
required
cubic_weight_factor
number<float>
required
min_cubic_weight
number<float>
required
weight_param
string
required
weight_condition
string
required

Response

Transportadora criada com sucesso

id
integer
type
string
fixed_price
integer
fixed_shipping_time
integer
active
boolean
name
string
only_backup_use
boolean
origin_zipcode
string
increment_percent
number<float>
max_weight
number<float>
active_cubic_weight
boolean
cubic_weight_factor
number<float>
min_cubic_weight
number<float>
weight_param
string
weight_condition
string
has_prices
integer
total_prices
integer
created_at
object
updated_at
object